Skip to content

Searches for exam registrations using predefined parameters

Request

Searches for exam registrations using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The exam registration that you would like to be saved.

citystring(City)

City to search

dateArray of strings, (date-time), = 2 items(Date)
email_addressstring(Email Address)
exam_idArray of strings(Exam)
exam_offering_idArray of strings(Exam Offering)
idsArray of strings(Ids)

IDs to search

job_titlestring(Job Title)
locationArray of strings(Location)
namestring(Name)
scoreArray of numbers, (float)(Score)
statestring(State)

The state

statusArray of strings(Status)
sys_created_atArray of strings, (date-time), = 2 items(Sys Created At)
testing_facility_idArray of strings(Testing Facility)
training_location_idArray of strings(Training Location)
training_provider_idArray of strings(Training Provider)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/examRegistrations/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "city": "string",
    "date": [
      "2019-08-24T14:15:22Z",
      "2019-08-24T14:15:22Z"
    ],
    "email_address": "string",
    "exam_id": [
      "string"
    ],
    "exam_offering_id": [
      "string"
    ],
    "ids": [
      "string"
    ],
    "job_title": "string",
    "location": [
      "string"
    ],
    "name": "string",
    "score": [
      0.1
    ],
    "state": "string",
    "status": [
      "string"
    ],
    "sys_created_at": [
      "2019-08-24T14:15:22Z",
      "2019-08-24T14:15:22Z"
    ],
    "testing_facility_id": [
      "string"
    ],
    "training_location_id": [
      "string"
    ],
    "training_provider_id": [
      "string"
    ]
  }'

Responses

The exam registration search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(ExamRegistrationSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }